Ondersteunde browsers

Blackboard Learn is een browsergebaseerde toepassing waarmee je opdrachten en andere cursuswerk kunt inleveren en er aan kunt werken. Gebruik deze bronnen om te bepalen of je webbrowser compatibel is met de Learn-versie van je instelling.

Als je een schermlezer wilt gebruiken met Blackboard Learn, werkt dat het best met een combinatie van Firefox® en JAWS® op een Windows®-systeem. Op een Mac® kun je Safari® en VoiceOver gebruiken. Ga naar het onderwerp Toegankelijkheid voor meer informatie over de aanpak van Blackboard voor wat betreft toegankelijke software.

Ondersteunde browsers

Zie het onderwerp Beleid voor ondersteuning van browsers in dit gedeelte als je meer wilt weten over het algemene beleid van Blackboard voor de ondersteuning van browsers. In dit onderwerp vind je ook informatie over Javascript, cookies en andere software. Cursussen kunnen worden aangeboden in de originele weergave of de Ultra-cursusweergave. Raadpleeg de onderstaande tabellen om vast te stellen of je browser de cursusweergave ondersteunt.

Google Chrome versie 42+, Mozilla Firefox versie 52+ en Microsoft Edge bieden geen ondersteuning voor invoegtoepassingen van het type NPAPI, inclusief Java-invoegtoepassingen en een groot aantal invoegtoepassingen voor mediabrowsers. Blackboard ondersteunt deze browsers niet voor gebruik in de volgende omstandigheden: 1) met ingesloten mediatypen die NPAPI-invoegtoepassingen van derden vereisen voor weergave, en 2) de interface voor het uploaden van meerdere bestanden van Content Collection, ook al worden de andere interfaces voor het uploaden van meerdere bestanden wel ondersteund in deze browsers.

Ondersteunde browsers
 Versies van desktopbrowsersVersies van mobiele browsers
Chrome49+49+
Edge20+20+
Firefox48+48+
Internet Explorer11+Niet-ondersteund
Safari9+met iOS 7+

* Mobiele browsers worden ondersteund voor Blackboard Learn 9.1 met het Learn 2016-thema. Mobiele browsers worden ook ondersteund voor de originele ervaring. Oudere thema's worden op dit moment niet ondersteund in deze browsers, wat overigens niet wegneemt dat gebruikers ze mogelijk zonder problemen kunnen gebruiken.

De Blackboard-app, Blackboard Instructor en Bb Grader zijn ondersteunde apps voor mobiele apparaten en tablets die communiceren met Blackboard Learn 9.1-servers. Deze apps hebben mogelijk eigen apparaatvereisten. 

ULTRA: Ondersteunde browsers

Ondersteunde browsers
 Versies van desktopbrowsersVersies van browsers voor mobiele apparaten en tablets
AndroidNiet beschikbaar4+
Chrome49+49+
Edge20+20+
Firefox48+Niet-ondersteund
Internet ExplorerNiet-ondersteundNiet-ondersteund
Safari9+9+

Geteste apparaten en besturingssystemen

Er zijn verschillende apparaten en besturingssystemen gebruikt om de ondersteunde browsers te testen. Ondersteuning is niet beperkt tot deze specifieke besturingssystemen. Bovenstaande desktopbrowserversies worden ondersteund ongeacht het apparaat of besturingssysteem waarop ze worden uitgevoerd.

Geteste apparaten
CategorieGetest
BesturingssystemenWindows 7, Windows 8, Windows 10, Mac OS 10.8, Mac OS 10.9, Mac OS 10.10, iOS, Android, Windows Mobile, Chrome OS
iOS-apparateniPod Touch, iPhone 4S, iPhone 5S, iPhone5c, iPhone 6, iPad 2, iPad 3, iPad Mini 3, iPad Air 2
Android-apparatenGalaxy S4, Galaxy S5, HTC G1, LG C800 myTouch, HTC One, Galaxy Note 2014, HTC One M8
Windows Mobile-apparatenVenue 8 Pro, Lumia 520, Lumia 930
Chrome OS-apparatenChromebook (Chrome-browser; functies die NPAPI-invoegtoepassingen vereisen worden niet ondersteund)

Blackboard streeft ernaar zijn producten zo toegankelijk mogelijk te maken. De twee meest recente, beschikbare versies van JAWS worden gebruikt tijdens toegankelijkheidstests van elke Blackboard Learn-release.

Java en andere invoegtoepassingen voor browsers

Voor enkele functies van Blackboard Learn moet bepaalde aanvullende software worden geïnstalleerd. Zonder deze software werken deze functies niet. Voor de volgende Blackboard Learn-functies zijn invoegtoepassingen nodig:

  • Om meerdere bestanden te uploaden in Cursusbestanden en Content Collection moet de Java Runtime Environment(JRE) van Oracle zijn ingeschakeld als een browserinvoegtoepassing. De tool voor het uploaden van losse bestanden heeft deze invoegtoepassing niet nodig. De uploadtoepassing is ondertekend door Blackboard en bevat een tijdstempelautoriteit die het mogelijk maakt de toepassing ook uit te voeren nadat het certificaat is verlopen.
  • Voor de functies voor synchrone communicatie van Cursusruimte en Blackboard Collaborate, beschikbaar via Building Blocks, moet Blackboard Collaborate Launcher zijn gedownload en geïnstalleerd. De JRE-invoegtoepassing (Java Runtime Environment) voor browsers is echter niet vereist.

    De launcher is alleen vereist voor Blackboard Collaborate met de originele ervaring. Voor Blackboard Collaborate met de Ultra-ervaring zijn geen downloads vereist.

JRE versie 7 en 8 zijn de aanbevolen versies voor functies die hiervan afhankelijk zijn. JRE versie 6 werkt mogelijk ook, maar kan onverwacht gedrag tot gevolg hebben. Oracle heeft bevestigd dat er een paar beveiligingsproblemen zijn met JRE versie 6.

Blackboard Learn vereist geen andere browserinvoegtoepassingen. Zie het onderwerp Beleid voor ondersteuning van browsers in dit gedeelte voor meer informatie over invoegtoepassingen voor browsers, ondersteunende technologie en andere ondersteunende software.


Browserondersteuning Analytics for Learn

Rapporten en visualisaties beschikbaar in Analytics for Learn worden geleverd via intelligence tools van externe bedrijven van Blackboard-partners, met name Microsoft (Reporting Services) voor ingesloten rapporten en Pyramid (Pyramid BI Office) het opbouwen van het dashboard. Deze producten ondersteunen allemaal bepaalde browsers, dus kunnen onderstaande gegevens gewijzigd worden op basis van productbeslissingen van onze partners.

Analytics for Learn meldt dat weergave in de Learn interface wordt ondersteund voor alle zelfde browsers als in Learn. Afzonderlijke rapporten van Microsoft Reporting Services worden ook ondersteund in dezelfde browsers als in Learn. Ga naar de website van Microsoft voor meer informatie over browserondersteuning voor Microsoft Reporting Services.

Om Pyramid dashboards te bekijken, is er een browser vereist die compatibel is met HTML-5. Oudere versies van Internet Explorer die niet meer bijgewerkt worden door Microsoft zijn niet geschikt voor het weergeven van Pyramid-rapporten. Om Pyramid dashboards te bouwen, is er een met NPAPI compatibele browser vereist, omdat de Pyramid builder de invoegtoepassing Microsoft Silverlight gebruikt. Google Chrome ondersteunt NPAPI niet meer en dus is deze browser niet compatibel. Gebruikers van Firefox of Safari moeten de invoegtoepassing Silverlight installeren en configureren om in hun browser te gebruiken.


Opmerkingen over configuratie

  • Internet Explorer wordt alleen ondersteund in de standaardmodus in de originele ervaring.
  • Mac OS X 10.8+ Java voor Original Blackboard Learn 9.1 interfaces: Java wordt niet langer meegeleverd als onderdeel van het besturingssysteem en moet gedownload en geïnstalleerd worden door gebruikers op verzoek van de toepassing/applet - de gebruiker hoeft deze handeling maar één keer uit te voeren.

Wijzigingen client-technologie van eerdere versies

  • Ondersteuning voor Internet Explorer 10 beëindigd.
  • Uitbreiding van ondersteuningsniveau op browsertypes en versies wordt meegeleverd met aanvullende besturingssystemen en indelingen, inclusief mobiele apparaten en tablets.

Niet-ondersteunde technologieën

  • Windows XP
  • Windows-, Mac OS- en Linux-systemen die geen ondersteunde browser uitvoeren
  • Internet Explorer versie 10 en eerder die niet langer ondersteund worden door Microsoft; Internet Explorer op mobiele apparaten
  • Firefox versie 30 en eerder op desktop; alle Firefox versies op mobiele apparaten
  • Chrome versie 35 en eerder (versie 34 en eerder op mobiele apparaten)
  • Safari versie 5 en eerder
  • JRE 5 voor Blackboard Learn Original gebruikersinterfaces

Ondersteuning voor interfaces met de originele ervaring

Deze sectie is alleen van toepassing op gebruikers van Blackboard Learn SaaS.

Sommige gebruikersinterfaces in Blackboard Learn in de SaaS-implementatie zijn nog niet bijgewerkt naar de Ultra-ervaring. Het gaat hier onder andere om de volgende interfaces:

  • Originele cursusweergave: de originele cursusweergave van Blackboard Learn 9.1 gebruiken
  • Configuratiegebieden beheerder
  • Content Collection
  • Enterprise-enquêtes
  • Doelen beheerder
  • Outcomes Assessment-functies

Deze interfaces voor de originele ervaring worden niet ondersteund op tablets en hand-held apparaten, alhoewel ze het best kunnen doen op deze apparaten.